Loading...
Searching...
No Matches
CxxTest::ErrorPrinter Class Reference

`#include <ErrorPrinter.h>`

## Data Structures

class | Adapter

## Public Member Functions

| ErrorPrinter (CXXTEST_STD(ostream) &o=CXXTEST_STD(cout), const char *preLine=":", const char *postLine="")
virtual | ~ErrorPrinter ()
Public Member Functions inherited from CxxTest::ErrorFormatter
| ErrorFormatter (OutputStream *o, const char *preLine=":", const char *postLine="")
int | run ()
void | enterWorld (const WorldDescription &)
void | enterSuite (const SuiteDescription &)
void | enterTest (const TestDescription &)
void | leaveTest (const TestDescription &)
void | leaveWorld (const WorldDescription &desc)
void | trace (const char *file, unsigned line, const char *expression)
void | warning (const char *file, unsigned line, const char *expression)
void | failedTest (const char *file, unsigned line, const char *expression)
void | failedAssert (const char *file, unsigned line, const char *expression)
void | failedAssertEquals (const char *file, unsigned line, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertSameData (const char *file, unsigned line, const char *xStr, const char *yStr, const char *sizeStr, const void *x, const void *y, unsigned size)
void | failedAssertDelta (const char *file, unsigned line, const char *xStr, const char *yStr, const char *dStr, const char *x, const char *y, const char *d)
void | failedAssertDiffers (const char *file, unsigned line, const char *xStr, const char *yStr, const char *value)
void | failedAssertLessThan (const char *file, unsigned line, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertLessThanEquals (const char *file, unsigned line, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertRelation (const char *file, unsigned line, const char *relation, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertPredicate (const char *file, unsigned line, const char *predicate, const char *xStr, const char *x)
void | failedAssertThrows (const char *file, unsigned line, const char *expression, const char *type, bool otherThrown)
void | failedAssertThrowsNot (const char *file, unsigned line, const char *expression)
Public Member Functions inherited from CxxTest::TestListener
| TestListener ()
virtual | ~TestListener ()
virtual void | leaveSuite (const SuiteDescription &)

## Additional Inherited Members

Static Public Member Functions inherited from CxxTest::ErrorFormatter
static void | totalTests (OutputStream &o)
Protected Member Functions inherited from CxxTest::ErrorFormatter
OutputStream * | outputStream () const

## Detailed Description

Definition at line 28 of file ErrorPrinter.h.

## Constructor & Destructor Documentation

## ErrorPrinter()

CxxTest::ErrorPrinter::ErrorPrinter | ( | CXXTEST_STD(ostream) & | o = CXXTEST_STD(cout),
|  | const char * | preLine = ":",
|  | const char * | postLine = "" )

inline

Definition at line 31 of file ErrorPrinter.h.

:", const char *postLine = "" ) :
ErrorFormatter( new Adapter(o), preLine, postLine ) {}

## ~ErrorPrinter()

virtual CxxTest::ErrorPrinter::~ErrorPrinter | ( |  | ) |

inline virtual

Definition at line 33 of file ErrorPrinter.h.

{ delete outputStream(); }
CxxTest::ErrorFormatter::outputStream
OutputStream * outputStream() const
Definition ErrorFormatter.h:208

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/ErrorPrinter.h